image: docker:19.03.8
services:
    - docker:19.03.8-dind
stages:
    - build
    - release

build:
    image: maven:3.3.9-jdk-8
    stage: build
    before_script:
        - apt-get update -y && apt-get upgrade -y
    script:
        - mvn clean install
    artifacts:
        paths:
            - target/*.jar

release:
    stage: release
    variables:
        IMAGE_TAG: $CI_REGISTRY_IMAGE:latest
    script:
        - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
        - docker build -t $IMAGE_TAG .
        - docker push $IMAGE_TAG